org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class PeekStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.PeekStageVerification

    public class PeekStageVerification
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `PeekStageVerification.ProcessorVerification`

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `peekStageShouldBeReusable()`
`void` `peekStageShouldHandleExceptions()`
`void` `peekStageShouldNotBeExecutedForEmptyStreams()`
`void` `peekStageShouldNotModifyElements()`
`void` `peekStageShouldPropagateUpstreamExceptions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### peekStageShouldNotModifyElements

    public void peekStageShouldNotModifyElements()

#### peekStageShouldHandleExceptions

    public void peekStageShouldHandleExceptions()

#### peekStageShouldPropagateUpstreamExceptions

    public void peekStageShouldPropagateUpstreamExceptions()

#### peekStageShouldNotBeExecutedForEmptyStreams

    public void peekStageShouldNotBeExecutedForEmptyStreams()

#### peekStageShouldBeReusable

    public void peekStageShouldBeReusable()